Name:           maven-rar-plugin
Version:        2.3
Release:        %mkrel 1
Summary:        Plugin to create Resource Adapter Archive which can be deployed to a J2EE server

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-rar-plugin/
Source0:        http://archive.apache.org/dist/maven/plugins/%{name}-%{version}-source-release.zip

BuildArch: noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: plexus-utils
BuildRequires: ant
BuildRequires: maven-local
BuildRequires: jpackage-utils

Obsoletes: maven2-plugin-rar <= 0:2.0.8
Provides: maven2-plugin-rar = 1:%{version}-%{release}

%description
A resource adapter is a system-level software driver that 
a Java application to connect to an enterprise 
information system (EIS).The RAR plugin has the capability 
to store these resource adapters to an archive 
(Resource Adapter Archive or RAR) which can be deployed to
 a J2EE server.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q 

# Fix deps to build against maven 3
%pom_remove_dep org.apache.maven:maven-project
%pom_add_dep org.apache.maven:maven-compat
%pom_add_dep org.apache.maven:maven-core

%mvn_file : %{name}

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE DEPENDENCIES

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Wed Dec 25 2013 dmorgan <dmorgan> 2.3-1.mga4
+ Revision: 560639
- Disable tests
- Disable tests
- New version

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.2-8.mga3
+ Revision: 359754
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 23 2011 dmorgan <dmorgan> 2.2-7.mga2
+ Revision: 127989
- Add patch to fix build with maven 3
- Build with maven 3.x

* Thu Apr 28 2011 dmorgan <dmorgan> 2.2-5.mga1
+ Revision: 92720
- Rebuild after bootstrapping
- imported package maven-rar-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jun 04 2010 Yong Yang <yyang@redhat.com> 2.2-3
- Fix Source0 comment, typo

* Thu Jun 03 2010 Yong Yang <yyang@redhat.com> 2.2-2
- Format description 
- Fix Obsoletes and Provides
- Use bz2 to compress source
- Add reason for ignore failure of test

* Tue Jun 01 2010 Yong Yang <yyang@redhat.com> 2.2-1
- Initial package.
